Documentation Index
Fetch the complete documentation index at: https://docs.arouter.ai/llms.txt
Use this file to discover all available pages before exploring further.
ARouter를 통해 현재 사용 가능한 모든 프로바이더(이름 및 지원 모델 수 포함)를 조회합니다.
엔드포인트
요청 예시
curl https://api.arouter.ai/api/v1/providers \
-H "Authorization: Bearer lr_live_xxxx"
응답 예시
{
"data": [
{
"id": "OpenAI",
"name": "OpenAI",
"model_count": 24,
"is_byok_supported": true
},
{
"id": "Anthropic",
"name": "Anthropic",
"model_count": 12,
"is_byok_supported": true
},
{
"id": "Google",
"name": "Google",
"model_count": 16,
"is_byok_supported": true
},
{
"id": "Meta",
"name": "Meta",
"model_count": 18,
"is_byok_supported": false
}
]
}
응답 필드
| 필드 | 타입 | 설명 |
|---|
data | array | 프로바이더 객체 목록 |
data[].id | string | 라우팅에 사용되는 프로바이더 식별자 (예: provider.order에서 사용) |
data[].name | string | 사람이 읽을 수 있는 프로바이더 이름 |
data[].model_count | integer | 이 프로바이더에서 사용 가능한 모델 수 |
data[].is_byok_supported | boolean | 이 프로바이더에서 BYOK 지원 여부 |
참고 사항
- 프로바이더 ID는 채팅 완성 요청의
provider.order, provider.only, provider.ignore 필드에서 사용됩니다
- 요청에서 프로바이더 ID를 사용하는 방법은 프로바이더 라우팅을 참조하세요
- BYOK 설정은 BYOK를 참조하세요